Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.actions
Class QuickStartAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.actions.QuickStartAction

All Implemented Interfaces:
  ActionFactory.IWorkbenchAction, IAction

Deprecated. the IDE now uses the new intro mechanism

public class QuickStartAction
extends Action
implements ActionFactory.IWorkbenchAction

The quick start (Welcome...) action.

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`QuickStartAction()` Deprecated. Create an instance of this class.
`QuickStartAction(IWorkbenchWindow window)` Deprecated. Creates an instance of this action, for use in the given window.

Method Summary
`void` | `dispose()` Deprecated. Disposes of this action.
`boolean` | `openWelcomePage(String featureId)` Deprecated. Opens the welcome page for the given feature.
`void` | `run()` Deprecated. The user has invoked this action.

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Constructor Detail

### QuickStartAction

    public QuickStartAction()

  Deprecated.
  Create an instance of this class.

  This consructor added to support calling the action from the welcome page.

### QuickStartAction

    public QuickStartAction(IWorkbenchWindow window)

  Deprecated.
  Creates an instance of this action, for use in the given window.

Method Detail

### run

    public void run()

  Deprecated.
  The user has invoked this action. Prompts for a feature with a welcome page, then opens the corresponding welcome page.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### openWelcomePage

    public boolean openWelcomePage(String featureId)
                            throws WorkbenchException

  Deprecated.
  Opens the welcome page for the given feature.

  Parameters:
    `featureId` - the about info for the feature
  Returns:
    `true` if successful, `false` otherwise
  Throws:
    `WorkbenchException`

### dispose

    public void dispose()

  Deprecated.
  Description copied from interface: `ActionFactory.IWorkbenchAction`
  Disposes of this action. Once disposed, this action cannot be used. This operation has no effect if the action has already been disposed.

  Specified by:
    `dispose` in interface `ActionFactory.IWorkbenchAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.